Subject: Re: Ruby without RVM - what to do if the version I want is missing?

From: Andreas Enge <[email-masked]>
Date: Sun, 16 Jun 2024 12:27:21 +0200

Hello,

Am Fri, Jun 14, 2024 at 07:36:07PM +0200 schrieb Andreas Enge:
> (define-public ruby-3.3
>   (package
>     (inherit ruby-3.2)
>     (version "3.3.3")
>     (source
>      (origin
>        (method url-fetch)
>        (uri (string-append "http://cache.ruby-lang.org/pub/ruby/"
>                            (version-major+minor version)
>                            "/ruby-" version ".tar.xz"))
>        (sha256
>         (base32
>          "07pwf3zkf7idl95agfjbv2lvamcp0spp0znqp9arb71ri19rkh43"))))))
> I have sent this patch, see
>    https://issues.guix.gnu.org/71559

QA has given the green light, so I have pushed this new version to master.
You should see it after a "guix pull".

Andreas